{ nixpkgs, flake-utils, home-manager, nixGL, ... } @ inputs:
  let
    getNixOsPkgs = system: import nixpkgs { inherit system; };
    getPkgs = system: import nixpkgs {
      inherit system;
      overlays = [ nixGL.overlay ];
    };

    makeHostSystem = pkgs: modules: home-manager.lib.homeManagerConfiguration {
      inherit pkgs;
      modules = [ ./common.nix ] ++ modules;
      extraSpecialArgs = {
        inherit inputs;
      };
    };
  in
  {
    packages.x86_64-linux.homeConfigurations = let
      pkgs = getPkgs "x86_64-linux";
      makeHost = makeHostSystem pkgs;
    in {
      "goose@adventurer" = makeHost [ /*./hosts/adventurer.nix*/ ];
    };
  }
